LBFacebook
==========

This sample project will help you to signUp/login with Facebook on iOS 6 very fast and easy.
 
 How to use LBFacebook class into your project
==========
 
 1. Import <code><Social/Social.h></code> and <code><Accounts/Accounts.h></code> frameworks.
 2. Import <code>"NSDictionary+LBcategory.h"</code> class to your project (this will nil all NSNull objects from a JSON).
 3. In "LBFacebook.h" change the <code>kFacebookKey</code> value with your Facebook app Key.
 4. Create the LBFacebook object using <code>initWithFacebookAPIKey:completionBlock:</code> method then  call <code>connectWithFacebookAction</code> method.
  
 The completionBlock will be called with the <code>LBFacebookButtonsActionDisable</code> value and nil dictionary the first time, here you can disable the "connect"/UI buttons(s) to be sure the user will not tap many times till the completionBlock is called.
 
 In case of error the completionBlock is called with the <code>LBFacebookButtonsActionEnable</code> value and nil dictionary.
 
 If the token and profile was received from Facebook the completionBlock is called with the <code>LBFacebookButtonsActionEnable</code> value and profile dictionary which includes the oauthToken to.

 To get the token from the dictionary use the <code>@"token"</code> key.
  

EXAMPLE
==========
```
 - (IBAction)connectWithFacebookAction:(id)sender
 {
    __weak ViewController *weakSelf = self;
    self.facebook = [[LBFacebook alloc] initWithFacebookAPIKey: kFacebookKey completionBlock:^(NSDictionary *facebookDictionary, LBFacebookButtonsAction type) {
        if(type == LBFacebookButtonsActionEnable)
        {
            // enable UI buttons
            if(facebookDictionary)
            {
                NSLog(@"%@",facebookDictionary);
                // perform any action you need, login or signUp
            }
        }
        else
        {
            // disable buttons
        }
    }];
    
    [self.facebook connectWithFacebookAction];
 }
```


LICENSE
==========

This content is released under the MIT License https://github.com/lucianboboc/LBFacebook/blob/master/LICENSE.md

 Enjoy!

